Python-tk package not recognized in Python 2.7.3 [closed]

When I run the following code:

import Tkinter

I get this error message:

>>> import Tkinter
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/lib-tk/Tkinter.py", line 42, in <module>
    raise ImportError, str(msg) + ', please install the python-tk package'
ImportError: /usr/lib/libtk8.5.so.0: invalid ELF header, please install the python-tk package

however, python-tk is installed.

$ sudo apt-get install python-tk
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python-tk is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Looking into why this is failing, I looked at Tkinter.py. This is the line that is failing.

try:
    import _tkinter
except ImportError, msg:
    raise ImportError, str(msg) + ', please install the python-tk package'

Is this a path problem? Any help would be much appreciated.


Asked by: Carina800 | Posted: 06-12-2021






Answer 1

It seems like maybe that library is corrupted. Try sudo apt-get remove python-tk, then sudo apt-get clean so that you will re-download the package, sudo apt-get install python-tk, and then try importing again. Another possibility is that you've somehow got your apt/sources.list messed up, and you've installed a library that is for the wrong platform.

If it is still not working after you try the above, leave a comment on this answer.

Answered by: Walter939 | Posted: 07-01-2022



Answer 2

I'm not sure what the problem was, but it's been resolved. My VM got corrupted during a VMware Player update, so I had to reinstall. After the fresh install, things are working as they should. Thanks for the help.

Answered by: Rafael404 | Posted: 07-01-2022



Similar questions

python - Why would an "command not recognized" error occur only when a window is populated?

My record sheet app has a menu option for creating a new, blank record sheet. When I open a sheet window, I can open new windows without a problem, using subprocess.Popen() to do it. However, under Windows (I haven't tested it on other OSes yet), if I open a new window then use the "open file" dialog to populate the fields with data from a file, I'm no longer able to create new windows. Once it's populated, Windows...


python - Django custom auth backend not recognized on Apache

I'm trying to deploy my Django application to an Apache2 based server with mod_python. I've set the handlers right and made the configuration to make mod_python work with my project. My project implements a custom auth backend to connect my users to twitter, and my backend implementation is on: myproject |- backends/ directory.Everything seems to be working fine, my pages load and I can ma...


python - My method is being recognized within my own program. Newbie mistake probably

Here's my code: sentenceToTranslate = raw_input("Please write in the sentence you want to translate: ") words = sentenceToTranslate.split(" ") for word in words: if isVowel(word[0]): print "TEST" def isVowel(letter): if letter.lower() == "a" or letter.lower() == "e" or letter.lower() == "i" or letter.lower() == "o" or letter.lower() == "u": return True else: return Fal...


Trying to use py2exe, but python is not recognized

I am following the the tutorial at http://www.py2exe.org/index.cgi/Tutorial to figure out how to use py2exe. I get down to step 3 where you are supposed to run the command: python setup.py py2exe I do that and then I get this error: 'python' is not recognized as an internal or external command,...


python - How to have recognized all the libraries Rpy2 R

How to have recognized all the libraries Rpy2 R. Rpy2 not recognizing the libraries, utils, and tools. import rpy2.robjects as robjects R = robjects.r &gt;&gt;&gt; R['library']("utils") RVector - Python:0x7f65fc85cfc8 / R:0x19bb980 &gt;&gt;&gt; R['library']("tools") RVector - Python:0x7f65fc85f5a8 / R:0x2419140 (>>> from rpy2.robjects.packages import importr Traceback (most ...


python - Not recognized non existant file

im getting a weird error using this code (part of a class): from sys import path as workingDIR from os import system, path image = '' # some jpeg image data keep = 0 DIR = workingDIR[0] + '\\image' if path.isfile(DIR + '.jpeg'): # adding numbers to end of file name like how windows prevents multiple files having the same name x = 2 while path.isfile(DIR + ' (' + str(x) + ').jpeg'): ...


python - How to fix shebang flags that are not recognized on some systems

For some reason, the -O (optimized) flag is not recognized in the shebang line on a Red Hat Enterprise Server (release 5.3) that I access. On other systems, the flag is recognized without any issue. Executing the script below on OS X works fine. Recognition of the -O flag can be verified because it enables (when absent) or disables (when given) anything under the if __debug__


python - SCons, MSys, "not recognized as an internal or external command" error

I'm trying to use SCons to set up a project for compilation on Windows 7. In the MSys shell, I cd to the appropriate folder and run: scons target=setup ...and I get the following output: scons: Reading SConscript files ... SCons 2.0.1 OS="'{' is not recognized as an internal or external command, operable program or batch file." Compiler version check failed - need gcc 3.x o...


python - 'twistd' is not a recognized internal or external command

I'm trying to develop a Twisted Web server but can't seem to run the twistd command. I've tried setting the python path and even included the path to the twistd.py script in my Path but nothing seems to work. I'm using Twisted 12.0.0 and Python 2.7 on Windows. Any help would be hugely appreciated.


python - PPM file data cannot be recognized

I'm writing a simple picture editor. It uses PPM files. From what I can tell, I feel like my code should work. However, I get this error Traceback (most recent call last): File "/home/zach/Downloads/piceditor (1).py", line 84, in &lt;module&gt; main() File "/home/zach/Downloads/piceditor (1).py", line 69, in main image = Image(Point(100,100), filename) File "/home/zach/Downloads/graphics.py", ...






Still can't find your answer? Check out these communities...



PySlackers | Full Stack Python | NHS Python | Pythonist Cafe | Hacker Earth | Discord Python



top